Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Interface KeyedValues<K extends Comparable<K>,T>

Type Parameters:
  `K` - the key type (must implement Comparable).
  `T` - the value type.

All Superinterfaces:
  `Values<T>`

All Known Subinterfaces:
  `PieDataset3D<K>`

All Known Implementing Classes:
  `DefaultKeyedValues`, `StandardPieDataset3D`

public interface KeyedValues<K extends Comparable<K>,T> extends Values<T>
A list of values that are associated with unique keys.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex(K key)`
Returns the index for the specified key, or `-1` if the key is not present in the list.
`K`
`getKey(int index)`
Returns the key for the specified item in the list.
`List<K>`
`getKeys()`
Returns a list of all the keys.
`T`
`getValue(K key)`
Returns the value associated with the specified key, or `null`.

### Methods inherited from interface org.jfree.chart3d.data.Values

`getDoubleValue, getItemCount, getValue`

## Method Details

### getKey

K getKey(int index)
Returns the key for the specified item in the list.

Parameters:
  `index` - the item index.
Returns:
  The key.

### getIndex

int getIndex(K key)
Returns the index for the specified key, or `-1` if the key is not present in the list.

Parameters:
  `key` - the key (`null` not permitted).
Returns:
  The item index, or `-1`.

### getKeys

List<K> getKeys()
Returns a list of all the keys. Note that the list will be a copy, so modifying it will not impact this data structure.

Returns:
  A list of keys (possibly empty, but never `null`).

### getValue

T getValue(K key)
Returns the value associated with the specified key, or `null`.

Parameters:
  `key` - the key (`null` not permitted).
Returns:
  The value (possibly `null`).